tpm_nvwrite(8)

NAME
tpm_nvwrite

SYNOPSIS
tpm_nvwrite [OPTIONS]

DESCRIPTION
tpm_nvwrite writes data to an NVRAM area. The user must provide the index of the NVRAM area as well as the data to write into the NVRAM area. Optionally an offset into the NVRAM area can be given where the writing of the data is to start. Similarly the use may provide the number of bytes to write into the NVRAM area. Some NVRAM areas only allow write sizes of zero, i.e., NVRAM area index 0. If the NVRAM area has permission bits set that require owner or NVRAM area authentication, then the password must be provided via the password option.

The following options are supported:

-h, --help
    Display command usage info.

-v, --version
    Display command version info.

-l, --log [none|error|info|debug]
    Set logging level.

-u, --unicode
    Use TSS UNICODE encoding for passwords to comply with applications using TSS popup boxes

-z, --well-known
    Use a secret of all zeros (20 bytes of zeros) as either the NVRAM area or owner secret.

-p, --password
    Depending on what type of authentication is required for the NVRAM area, this must either be the NVRAM area or owner password.

    A password may be directly provided for example by using '--password=password' or -ppassword. If no password is provided then the program will prompt the user for the password.

-i, --index (optional parameter)
    The index of the NVRAM area. The parameter may either be a decimal number or a hexadecimal number starting with '0x'.

-s, --size
    The number of bytes to write to the NVRAM area. This parameter may be used to truncating the data that are for example read from a file. The parameter may either be a decimal number or a hexadecimal number starting with '0x'.

-n, --offset (optional parameter)
    The offset into the NVRAM area where to start writing. The parameter may either be a decimal number or a hexadecimal number starting with '0x'.

-f, --filename (optional parameter)
    The name of a file from which to read data and copy them into the NVRAM area.

-d, --data (optional parameter)
    The data to write into the NVRAM area passed in the command line.

-m, --fill-value (optional parameter)
    The byte to fill the NVRAM area with.

SEE ALSO
tpm_nvdefine(8), tpm_nvinfo(8), tpm_nvread(8), tpm_nvrelease(8)

REPORTING BUGS
Report bugs to <trousers-users@lists.sourceforge.net>